# std::filesystem::recursive_directory_iterator::operator=

From cppreference.com
< cpp‎ | filesystem‎ | recursive directory iterator

recursive_directory_iterator& operator=( const recursive_directory_iterator& ) = default; |  | (since C++17)
recursive_directory_iterator& operator=( recursive_directory_iterator&& ) = default; |  | (since C++17)

Assigns a recursive directory iterator.

### Parameters

- | - | another directory iterator to assign

### Return value

*this

### Exceptions

(none)

| This section is incomplete

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/recursive_directory_iterator/operator%3D&oldid=85028"
Category:

- Todo without reason